#include <stdio.h>

int main(void){
	// Stampa bit meno significativo dei numeri da 0 a 9
	int i, mask=1;
	printf("Bit meno significativo: \n");
	for(i=0; i<10; ++i)	
		printf("%d", i & mask); // 0101010101
	printf("\n\n");

	// Stampa del terzo bit meno significativo
	printf("Terzo bit meno significativo: \n");
	mask=(1<<3);	
	for(i=0; i<10; ++i)
		printf("%d", (i & mask) ? 1 : 0); // 0000111100
	printf("\n\n");
	/*
	0: 0000
	1: 0001
	2: 0010
	3: 0011
	4: 0100
	5: 0101
	6: 0110
	7: 0111
	8: 1000
	9: 1001
	*/
	return 0;
}

// gcc es2_mask.c -o es2_mask
// ./es2_mask
